Subject: Re: [homenet] 2nd Working Group Last Call for draft-homenet-arch

From: Tim Chown <[email-masked]>
Date: Mon, 15 Jul 2013 10:18:15 +0100

On 15 Jun 2013, at 19:35, Curtis Villamizar <[email-masked]> wrote:
> 
> A lot of progress has been made in the last year or so.  Quite a few
> issues remain open in that there is no solution recommended in
> homenet-arch, or multiple solutions are recommended primarily because
> downselection has not occurred.  Examples of the former is "routing
> functionality" and service discovery beyond the subnet, and "domain
> discovery".  Examples of the latter is address allocation, prefix
> delegation.

This text was not intended be highly specific in each area, rather to document agreed principles, as a guide to where the WG is going. As such, I would expect subsequent more specific documents covering the relevant areas.  The topic of service discovery beyond the subnet is likely to be the topic of a WG of its own (which will need to work with homenet). 

> BTW- Naming used to cite draft-mglt-homenet-naming-delegation and
> draft-mglt-homenet-front-end-naming-delegation and I'm not sure why
> those citations were dropped, unless they are now abandonned (they are
> both expired).

Where references occur to personal drafts (many of which have expired) these have been removed and replaced with covering text in the -09 which is being published shortly.

> The point is that though this framework has tremedously improved
> (though it still cited mDNS and entertains the possibility of multiple
> zeroconf name services plus DNS :), there is a ways to go.  Hopefully
> this draft can remain a living document rather than freeze it
> prematurely by moving it to the IESG and trying to get premature RFC
> status.

mDNS is mentioned once in the document, as an example of a zeroconf protocol.

> On many issues the WG has converged in the last year or so, yet IMHO
> too many remain open.

I believe the chairs' view is that with the general principles agreed across all areas, some more-specific work can now follow. Some of that has started to happen already, of course.

Tim